scala

# Short

#### object Short extends AnyValCompanion

Source
  Short.scala

Linear Supertypes
AnyValCompanion, Specializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Short
2. AnyValCompanion
3. Specializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final val MaxValue: Short(32767)

   The largest value representable as a Short.

5. #### final val MinValue: Short(-32768)

   The smallest value representable as a Short.

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def box(x: Short): java.lang.Short

   Transform a value type into a boxed reference type.

   Transform a value type into a boxed reference type.

   Runtime implementation determined by `scala.runtime.BoxesRunTime.boxToShort`. See src/library/scala/runtime/BoxesRunTime.java.

   x

     the Short to be boxed

   returns

     a java.lang.Short offering `x` as its underlying value.

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### implicit def short2double(x: Short): Double

19. #### implicit def short2float(x: Short): Float

20. #### implicit def short2int(x: Short): Int

21. #### implicit def short2long(x: Short): Long

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    The String representation of the scala.Short companion object.

    The String representation of the scala.Short companion object.

    Definition Classes
      Short → AnyRef → Any

24. #### def unbox(x: AnyRef): Short

    Transform a boxed type into a value type.

    Transform a boxed type into a value type. Note that this method is not typesafe: it accepts any Object, but will throw an exception if the argument is not a java.lang.Short.

    Runtime implementation determined by `scala.runtime.BoxesRunTime.unboxToShort`. See src/library/scala/runtime/BoxesRunTime.java.

    x

      the java.lang.Short to be unboxed.

    returns

      the Short resulting from calling shortValue() on `x`

    Exceptions thrown
      ClassCastException

      if the argument is not a java.lang.Short

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyValCompanion

### Inherited from Specializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped